Subject: bug#73418: ls (GNU coreutils) 9.4 is extremely slower than ls (GNU coreutils) 8.32 listing files on a cifs mounted share

From: Pádraig Brady <[email-masked]>
Date: Sun, 10 Nov 2024 13:48:09 +0000

On 10/11/2024 00:57, Paul Eggert wrote:
> On 2024-11-09 09:16, Pádraig Brady wrote:
>>>      $ src/ls -lZ INSTALL
>>>      lrwxrwxrwx 1 padraig padraig ? ...
>>
>> This is still an issue here.
> 
> Oh, thanks for reminding me. That's a Gnulib bug, fixed here:
> 
> https://lists.gnu.org/r/bug-gnulib/2024-11/msg00075.html
> 
> with the fix propagated into Coreutils by installing the attached.
> 
> I thinks this closes out all the problems mentioned in this bug report,
> so I'm boldly closing it. We can reopen it if I'm wrong.

Thank you for the fixes.

There are some issues though with `./configure --disable-acl`.
In that case we no longer output security context with ls -lZ,
when previously we did. We should document that change at least,
but we may want to uncouple these also?

Note consequently the new test fails with --disable-acl.
As an aside, the new test would be best in its own test file
that then used require_selinux_, rather than messing with sestatus etc.

BTW I've pushed a tweak to gnulib to avoid a -Werror=unused-variable
issue with --disable-acl

thanks!
Pádraig.